Returns an array of fields names in the document

- « SolrDocument::getFieldCount

- SolrDocument::getInputDocument »

- PHP Manual
- SolrDocument
- Returns an array of fields names in the document

# SolrDocument::getFieldNames

(PECL solr >= 0.9.2)

SolrDocument::getFieldNames — Returns an array of fields names in the document

### Description

public SolrDocument::getFieldNames(): array

Returns an array of fields names in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an array containing the names of the fields in this document.